Subject: bug#70347: 29.3; Tab-bar-mode tabs visually truncated when modifying internal-border-width on PGTK

From: Fabrizio Contigiani <[email-masked]>
Date: Fri, 12 Apr 2024 00:11:50 -0300

I see this was already addressed on bug#64822, I'm very sorry for the
inconvenience.

On Thu, Apr 11, 2024 at 11:44 PM Fabrizio Contigiani <
[email-masked]> wrote:

> (tab-bar-mode)
> (modify-all-frames-parameters '((internal-border-width . 10)))
>
> When evaluating the above code using 'emacs -Q' built with PGTK, the
> tabs appear vertically truncated depending on the chosen internal
> border width value.
> This behavior can be observed even with low values such as 1 or 2,
> although it may be difficult to notice. The effect becomes more obvious
> starting at 4 or 5. When the values reach 24 or higher, the tabs become
> completely hidden. This may be related to the font size.
> Hovering the mouse over the tab-bar displays the caracter/element under
> the cursor correctly, but everything else remains hidden or truncated.
>
> In GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
> cairo version 1.18.0)
> System Description: Arch Linux
>
> Configured using:
>  'configure --with-pgtk --with-native-compilation=aot --sysconfdir=/etc
>  --prefix=/usr --libexecdir=/usr/lib --with-tree-sitter
>  --localstatedir=/var --with-cairo --disable-build-details
>  --with-harfbuzz --with-libsystemd --with-modules 'CFLAGS=-march=x86-64
>  -mtune=generic -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=2
>  -Wformat -Werror=format-security -fstack-clash-protection
>  -fcf-protection -g
>  -ffile-prefix-map=/build/emacs/src=/usr/src/debug/emacs -flto=auto'
>  'LDFLAGS=-Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro
>  -Wl,-z,now -Wl,-z,pack-relative-relocs -flto=auto'
>  'CXXFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions
>  -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
>  -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -g
>  -ffile-prefix-map=/build/emacs/src=/usr/src/debug/emacs -flto=auto''
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
> PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
> TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM GTK3 ZLIB
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   show-paren-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   tab-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   line-number-mode: t
>   indent-tabs-mode: t
>   transient-mark-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug message mailcap yank-media puny dired
> dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
> epg-config gnus-util text-property-search mm-decode mm-bodies mm-encode
> mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
> rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date help-fns
> radix-tree cl-print byte-opt debug backtrace find-func cl-loaddefs comp
> comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra help-mode
> bytecomp byte-compile cl-lib rmc iso-transl tooltip cconv eldoc paren
> electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
> term/pgtk-win pgtk-win term/common-win pgtk-dnd tool-bar dnd fontset
> image regexp-opt fringe tabulated-list replace newcomment text-mode
> lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
> easymenu timer select scroll-bar mouse jit-lock font-lock syntax
> font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
> indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite emoji-zwj charscript charprop case-table epa-hook
> jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
> theme-loaddefs faces cus-face macroexp files window text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget keymap
> hashtable-print-readable backquote threads dbusbind inotify
> dynamic-setting system-font-setting font-render-setting cairo gtk pgtk
> lcms2 multi-tty make-network-process native-compile emacs)
>
> Memory information:
> ((conses 16 86960 14106)
>  (symbols 48 7547 0)
>  (strings 32 21894 1232)
>  (string-bytes 1 720792)
>  (vectors 16 16957)
>  (vector-slots 8 353186 18105)
>  (floats 8 29 42)
>  (intervals 56 518 110)
>  (buffers 984 15))
>